<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 3/11/23
/*! 
 * \file
 * \brief display request of a detail
 */
global $g_user;
 if ($g_user->check_module("FVAL") == 0) {return;}
try {
     $request_id=$http->get("request_id","number");
     $boxid=$http->get("boxid");

} catch (\Exception $e) {
    echo $e->getMessage();
    throw $e;
}
$array=$cn->get_array("select * 
        from noalyss_form.data_received_raw_detail dr1
        left join noalyss_form.form_detail fd1 on (dr1.form_detail_id=fd1.fd_id)
        left join public.attr_def ad1 on (ad1.ad_id=fd1.ad_id)
         where data_received_raw_id=$1
         order by drd_id"
    ,[$request_id]);

echo \HtmlInput::title_box("détail", $boxid);

if (empty($array)) {
    echo_warning("Aucune donnée");
    echo \HtmlInput::button_close($boxid);
    return;
}
$select=new \ISelect("choice");
$select->value=[];
$select->value[]=['label'=>'','value'=>0];
$select->value[]=['label'=>'Sauvé comme fiche','value'=>1];
$select->value[]=['label'=>'Effacer','value'=>2];
?>
<FORM METHOD="POST" onsubmit="jsnform.save_request_detail(this);return false">
    <?php
    echo \HtmlInput::request_to_hidden(['ac', 'plugin_code', 'gDossier']);
    echo \HtmlInput::hidden("act", "save_request_detail");
    echo \HtmlInput::hidden("request_id", $request_id);
    echo \HtmlInput::hidden("boxid", $boxid);
    ?>
    <table class="result">
        <tr>
            <th>Nom paramètre</th>
            <th>Attribut</th>
            <th>Type attribut</th>
            <th>Valeur reçue</th>
        </tr>
        <?php foreach ($array as $row):
            $value=new \IText("value".$row["drd_id"],$row['drd_post_value'])
            ?>
        <tr>
            <td>
                <?=$row['fd_post_param']?>
            </td>
            <td>
                <?=$row['ad_text']?>
            </td>
            <td>
                <?=$row['ad_type']?>
            </td>
            <td>
                <?=$value->input()?>
            </td>
        </tr>
        <?php endforeach;?>
    </table>

Action <?=$select->input()?>
    <input type="submit" class="smallbutton" value="valider">

</FORM>
<?=\HtmlInput::button_close($boxid)?>

