<?php
namespace Noalyss\Forms;
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 1/11/23
/*! 
 * \file
 * \brief detail of a form
 */

/*!
 * \class
 * \brief detail of a form
 */

class Form_Detail_MTable extends \Manage_Table_SQL
{
    private $form_id;

    public function getFormId()
    {
        return $this->form_id;
    }

    public function setFormId($form_id): Form_Detail_MTable
    {
        $this->form_id = $form_id;
        return $this;
    }

    function __construct( Form_Detail_SQL $p_table,$p_form_id)
    {
        $p_table->setp("form_id",$p_form_id);
        parent::__construct($p_table);

        global $cn,$g_access,$g_plugin,$gDossier;
        $this->form_id=$p_form_id;
        $this->add_json_param("act", "form_detail_mtable");
        $this->add_json_param("ac", $g_access);
        $this->add_json_param("plugin_code",$g_plugin);
        $this->add_json_param("gDossier", $gDossier);
        $this->add_json_param("form_id", $p_form_id);
        $this->set_callback("ajax.php");
        $this->set_col_label("fd_post_param", "Paramètre");
        $this->set_col_label("ad_id", "Attribut");
        $this->set_order(["fd_post_param", "ad_id"]);
        $fd_id=$cn->get_value("select fiche_def_id from noalyss_form.form where f_id=$1",[$p_form_id]);

        $array=$cn->make_array("
select a.ad_id , ad_text 
from attr_def a 
join jnt_fic_attr j on (a.ad_id=j.ad_id)
where 
j.fd_id=$1",null,[$fd_id]);

        $this->set_col_type ("ad_id","select",$array);
    }

    public static function build($p_id,$p_form_id):Form_Detail_MTable
    {
        global $cn;
        $sql=new Form_Detail_SQL($cn,$p_id);
        $object=new Form_Detail_MTable($sql,$p_form_id);
        return $object;

    }
//
//    public function from_request()
//    {
//        parent::from_request();
//        $http=new \HttpInput();
//        $obj=$this->get_table();
//        $obj->setp("form_id",$http->request("form_id","number"));
//    }

}